<?php

/**
 * Filename: class-xenword-action-links.php
 *
 * Builds the links to settings within the WordPress plugin panel and documents on the XenWord site.
 *
 * @since 3.0.0.03
 *        Initial File
 *
 * @since 3.0.0.06
 *        Wrap in XenWord_Action_Links class
 *        Fix $basename path to main file
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWord_Action_Links {

	public function __construct() {
		$this->load_filters();
	}

	public function load_filters() {
		$basename =  plugin_basename( plugin_dir_path( dirname( dirname( dirname( __FILE__) ) ) ) . 'xenword.php' );
		$prefix   = is_network_admin() ? 'network_admin_' : '';
		add_filter( "{$prefix}plugin_action_links_$basename", array ( &$this, 'xenword_plugin_action_links' ) );
	}

	public static function xenword_plugin_action_links( $links ) {
		$settings_links[] = '<a href="' . esc_url( admin_url( 'admin.php?page=xenword' ) ) . '">Settings</a>';
		$settings_links[] = '<a href="http://www.xenword.com" target="_blank">Docs</a>';

		return array_merge( $settings_links, $links );
	}

}

new XenWord_Action_Links();

// End class-xenword-action-links.php