<?php

    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
     */

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "xenword_options";

    /**
     * ---> SET ARGUMENTS
     * All the possible arguments for Redux.
     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
     * */

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $args = array(
        'opt_name' => 'xenword_options',
        'use_cdn' => TRUE,
        'display_name' => 'XenWord',
        'display_version' => '2.1.1.01',
        'page_slug' => 'xenword',
        'page_title' => 'XenWord Параметры',
        'update_notice' => TRUE,
        'intro_text' => '<p>Благодарим вас за покупку XenWord: простой XenForo для WordPress мост.</p>',
        'footer_text' => '<p>XenWord является простой XenForo для WordPress мост.</p>',
        'menu_type' => 'menu',
        'menu_title' => 'XenWord Параметры',
        'allow_sub_menu' => TRUE,
        'page_parent' => 'options-general.php',
        'page_parent_post_type' => 'your_post_type',
        'default_mark' => '*',
        'hints' => array(
            'icon_position' => 'right',
            'icon_color' => '#dd3333',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'cdn_check_time' => '1440',
        'global_variable' => 'xenword',
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => TRUE,
        'database' => 'options',
        'transient_time' => '3600',
        'network_sites' => TRUE,
    );

    // SOCIAL ICONS -> Setup custom links in the footer for quick links in your panel footer icons.
    $args['share_icons'][] = array(
        'url'   => 'https://github.com/ReduxFramework/ReduxFramework',
        'title' => 'Посетите нас на GitHub',
        'icon'  => 'el el-github'
        //'img'   => '', // You can use icon OR img. IMG needs to be a full URL.
    );
    $args['share_icons'][] = array(
        'url'   => 'https://www.facebook.com/pages/Redux-Framework/243141545850368',
        'title' => 'Like нас на Facebook',
        'icon'  => 'el el-facebook'
    );
    $args['share_icons'][] = array(
        'url'   => 'http://twitter.com/reduxframework',
        'title' => 'Следуйте за нами на  Twitter',
        'icon'  => 'el el-twitter'
    );
    $args['share_icons'][] = array(
        'url'   => 'http://www.linkedin.com/company/redux-framework',
        'title' => 'Найти нас на LinkedIn',
        'icon'  => 'el el-linkedin'
    );

    Redux::setArgs( $opt_name, $args );

    /*
     * ---> END ARGUMENTS
     */

    /*
     * ---> START HELP TABS
     */

    $tabs = array(
        array(
            'id'      => 'redux-help-tab-1',
            'title'   => __( 'Сведения о теме 1', 'admin_folder' ),
            'content' => __( '<p>Это содержимое вкладки HTML допускается.</p>', 'admin_folder' )
        ),
        array(
            'id'      => 'redux-help-tab-2',
            'title'   => __( 'Сведения о теме  2', 'admin_folder' ),
            'content' => __( '<p>Это содержимое вкладки HTML разрешен.</p>', 'admin_folder' )
        )
    );
    Redux::setHelpTab( $opt_name, $tabs );

    // Set the help sidebar
    $content = __( '<p>Это содержимое боковой панели, HTML разрешен.</p>', 'admin_folder' );
    Redux::setHelpSidebar( $opt_name, $content );


    /*
     * <--- END HELP TABS
     */


    /*
     *
     * ---> START SECTIONS
     *
     */

    Redux::setSection( $opt_name, array(
        'title'  => __( 'Основные поля', 'redux-framework-demo' ),
        'id'     => 'basic',
        'desc'   => __( 'Основные области без подразделов.', 'redux-framework-demo' ),
        'icon'   => 'el el-home',
        'fields' => array(
            array(
                'id'       => 'opt-text',
                'type'     => 'text',
                'title'    => __( 'Пример текста', 'redux-framework-demo' ),
                'desc'     => __( 'Описание примера.', 'redux-framework-demo' ),
                'subtitle' => __( 'Пример субтитров.', 'redux-framework-demo' ),
            )
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title' => __( 'Основные поля', 'redux-framework-demo' ),
        'id'    => 'basic',
        'desc'  => __( 'Основные поля как подразделы.', 'redux-framework-demo' ),
        'icon'  => 'el el-home'
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => __( 'Текст', 'redux-framework-demo' ),
        'desc'       => __( 'Для полной документации по этому полю посетите: ', 'redux-framework-demo' ) . '<a href="http://docs.reduxframework.com/core/fields/text/" target="_blank">http://docs.reduxframework.com/core/fields/text/</a>',
        'id'         => 'opt-text-subsection',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'text-example',
                'type'     => 'text',
                'title'    => __( 'Текстовое поле', 'redux-framework-demo' ),
                'subtitle' => __( 'Подзаголовок', 'redux-framework-demo' ),
                'desc'     => __( 'Field Description', 'redux-framework-demo' ),
                'default'  => 'Текст по умолчанию',
            ),
        )
    ) );

    Redux::setSection( $opt_name, array(
        'title'      => __( 'Текстовая область', 'redux-framework-demo' ),
        'desc'       => __( 'Для полной документации по этому полю посетите: ', 'redux-framework-demo' ) . '<a href="http://docs.reduxframework.com/core/fields/textarea/" target="_blank">http://docs.reduxframework.com/core/fields/textarea/</a>',
        'id'         => 'opt-textarea-subsection',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'textarea-example',
                'type'     => 'textarea',
                'title'    => __( 'Текстовое поле область', 'redux-framework-demo' ),
                'subtitle' => __( 'Подзаголовок', 'redux-framework-demo' ),
                'desc'     => __( 'Описание поля', 'redux-framework-demo' ),
                'default'  => 'Текст по умолчанию',
            ),
        )
    ) );

    /*
     * <--- END SECTIONS
     */
