<?php

/**
 * Filename: class-xenword-postratings.php
 *
 * Description: Shows the post ratings of the first post in a thread on the WordPress post.
 *
 * @since 2.5.1.01
 *        Initial release
 *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Pull the likes from the first_post likes in the xf_thread table based on the thread_id
 * then return the number of likes to the WordPress $content
 *
 * @param $content
 *
 * @return string
 * @throws Zend_Exception
 */
function show_postratings( $content ) {

	/** Load the XenWord options set in XenWord settings panel */
	$xenword_options = get_option( 'xenword_options' );

	if ( $xenword_options['use_postratings'] == true ) {

		if ( is_singular() && is_main_query() ) {

			$post_id = '';

			$post = get_post( $post_id, ARRAY_A );
			if ( $post['thread_id'] != '0' ) {

				/** Show Post Ratings */
				$threadId = $post['thread_id'];

				/* @var $threadModel XenForo_Model_Thread */
				$threadModel = XenForo_Model::create('XenForo_Model_Thread');
				$thread = $threadModel->getThreadById($threadId);



				$xen_first_post_likes= $thread['first_post_likes'];

				// <img src="styles/default/xenforo/clear.png" alt="Like" title="Like" style="background: url('styles/dark/ratings/spritesheet.png') no-repeat 0px -32px; width: 16px; height: 16px;">

				$xenword_postratings = '
					<span style="font-size: x-small; float: right">Пост рейтинги:<br />'
					. $xen_first_post_likes
					. ' likes</span>
					';

				$content .= $xenword_postratings;
			}
		}
	}

	/** return the WordPress post content with the post ratings included */
	return $content;
}

add_filter( 'the_content', 'show_postratings' );

// End class-xenword-postratings.php