<?php
/**
 * Filename: class-xenword-resource-creation.php
 *
 * @author      LPH
 * @version     2.5.0.03
 * @package     XenWord
 * @subpackage  includes
 *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

function xenword_new_resource( $post_id ) {
	$post = get_post( $post_id );

	if ( XenWord::getResourceIdForPost( $post_id ) == '0' ) {
		//$resource_cat_id = XenWord::getResourceCatIdForPost( $post_id );
		$resource_cat_id = 2;
		xenword_insert_resource( $post, $resource_cat_id );
	}

}

function xenword_insert_resource( $post, $resource_cat_id ) {

	$title          = $post->post_title;
	$content        = get_post_field('post_content', $post->ID);
	$date           = mysql2date('M j Y', $post->post_date);
	$author_id      = $post->post_author;
	$author         = get_the_author_meta( 'user_nicename', $author_id );
	//$resourceModel     = XenForo_Model::create('XenResource_Model_Resource')->getModelFromCache( 'XenResource_Model_Resource' );
	//$resource          = $resourceModel->getCategoryIdsFromResources( $resource_cat_id );

	var_dump($title);

	$resourceWriter = XenResource_DataWriter_Resource::create('XenResource_DataWriter_Resource');

	$resourceWriter->set( 'user_id', $author_id );
	$resourceWriter->set( 'username', $author );
	$resourceWriter->set( 'resource_date', $date );
	$resourceWriter->set( 'title', 'New Resource' );
	$resourceWriter->set( 'resource_category_id', $resource_cat_id );
	$resourceWriter->set( 'tag_line', 'new tag line' );

	//$body = '';
	//$body .= XenForo_Helper_String::autoLinkBbCode( XenForo_Html_Renderer_BbCode::renderFromHtml( nl2br( $content ) ) );

	//$resourceWriter->set( 'message', $body );

	$resourceWriter->save();
}

function xenword_edit_resource() {

}

if ( $xenword_options['use_resource_creation_post'] == true ) {
	add_action( 'publish_post', 'xenword_new_resource' );
	add_action( 'edit_post', 'xenword_edit_resource');
}

if ( $xenword_options['use_resource_creation_page'] == true ) {
	add_action( 'publish_page', 'xenword_new_resource' );
}

if ( $xenword_options['use_resource_creation_custom'] == true ) {
	$custom_post_types = $xenword_options['custom_post_type'];
	foreach ( $custom_post_types AS $custom_post_type ) {
		add_action( 'publish_' . $custom_post_type, 'xenword_new_resource' );
	}
}

// End class-xenword-resource-creation.php