<?php

/**
 * Filename: class-xenword-author-link.php
 *
 * Links the WordPress author to the XenForo member profile page
 *
 * @author  LPH
 * @version 2.5.0.04
 * @package XenWord
 * @subpackage includes
 *
 * @since 2.2.0.06
 *        Initial file created
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

Class Author_Link {

	public function __construct() {

		add_filter( 'author_link', array( &$this, 'xenword_author_link' ), 100 );

	}

	/**
	 * @return string
	 */
	public function xenword_author_link() {

		$xenword_author_id = get_the_author_meta( 'ID' );
		$xf_author_link = XenWord::getBoardUrl(). '/members/';
		$xenword_author_link = $xf_author_link . $xenword_author_id . '/#postings';

		return $xenword_author_link;
	}
}

new Author_Link();

// End class-xenword-author-link.php