<?php

/**
 * Filename: class-xenword-deactivator.php
 *
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @author      LPH
 * @version     2.5.0.04
 * @package     XenWord
 * @subpackage  WordPress/includes
 *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class Xenword_Deactivator {

	public function __construct() {

		add_action( 'admin_init', array( &$this, 'deactivate' ) );

		add_action( 'admin_notices', array( &$this, 'xenword_deactivator_notice' ) );

	}

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    3.0.0.06
	 */
	public static function deactivate() {

		if ( class_exists( 'XenForo_Application' ) ) {
			XenWord::getLogout();
		}
		return;

	}

	/**
	 * Show a notice for the XenForo admin to log out of XenForo
	 *
	 * @since   3.0.0.06
	 */

	public function xenword_deactivator_notice() {
		echo '<div class="updated"><p>';
		echo 'Пожалуйста Выйдите из XenForo перед активацией XenWord';
		echo "</p></div>";
	}

}

// End class-xenword-deactivator.php
