<?php

/**
 * Filename: class-xenword-shortcodes.php
 *
 * Description:
 *
 * @author  Shabbir
 * @author  LPH
 *
 * @since 3.0.2.03
 *        Initial Release
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit;

// Shortcode for XenForo Login Form
add_shortcode( 'xfloginform', 'xf_login_form' );

// Should be done to allow use of shortcodes on widgets.
add_filter( 'widget_text', 'do_shortcode' );

function xf_login_form( $atts = null, $content ) {

	$redirect = wp_guess_url() . $_SERVER['REQUEST_URI'];

	$shortcode = '<form method="post" action="'
	             . XenWord::getBoardUrl() .'/' . XenForo_Link::buildPublicLink('login/login') . '">
				<input type="text" value="" name="login" placeholder="Имя пользователя">
				<input type="password" name="password" placeholder="Пароль">
				<input type="submit" value="Войти">
				<label><input type="checkbox" value="1" name="remember">Запомнить</label>
				<input type="hidden" value="0" name="cookie_check">
				<input type="hidden" value="" name="_xfToken">
				<input type="hidden" value="' . $redirect . '" name="redirect">
				</form>
	';

	if ( ! wp_validate_auth_cookie() ) {
		return $shortcode;
	} else {
		$visitor = XenWord::getVisitor();

		return '<a href="' . XenWord::getBoardUrl()
		       . XenForo_Link::buildPublicLink('logout')
		       . '&_xfToken=' . $visitor['csrf_token_page']
		       . '&redirect=' . $redirect . '">Выйти</a>';
	}
}

// End class-xenword-shortcodes.php