<?php

/**
 * Filename: class-xenword-stylesheets.php
 *
 * Calls xenword-admin.css and xenword-public.css files
 *
 * @author      LPH
 * @version     3.0.0.06
 * @package     XenWord
 * @subpackage  includes
 *
 * @since 3.0.0.06
 *        Initial file
 *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWord_Stylesheets {

	public function __construct() {

		$this->load();
	}

	public function load() {

		add_action( 'wp_enqueue_scripts', array( &$this, 'xenword_public_stylesheet' ) );

		add_action( 'admin_enqueue_scripts', array( &$this, 'xenword_admin_stylesheet' ) );

	}

	/**
	 * xenword_public_stylesheet
	 */
	function xenword_public_stylesheet() {
		$plugin_url = plugin_dir_url( __FILE__ );
		wp_register_style( 'xenword-style', $plugin_url . '../public/css/xenword-public.css' );
		wp_enqueue_style( 'xenword-style' );
	}

	/**
	 * xenword_admin_stylesheet
	 */
	function xenword_admin_stylesheet() {
		$plugin_url = plugin_dir_url( __FILE__ );
		wp_register_style( 'xenword-admin-style', $plugin_url . '../admin/css/xenword-admin.css' );
		wp_enqueue_style( 'xenword-admin-style' );
	}

}

new XenWord_Stylesheets();

// End class-xenword-stylesheets.php