<?php
/**
 * Filename: class-xenword-toolbar-login.php
 *
 * Show the login / signup in the WordPress toolbar
 *
 * @since 3.0.2.03
 *        Initial Release
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWord_Toolbar_Login {

	public function __construct() {
		$this->load();
	}

	public function load() {
		// add_filter( 'show_admin_bar', array( &$this, '__return_true' ) , 1000 );

		// add_action('wp_before_admin_bar_render', array( &$this, 'remove' ), 0 );

		add_action('wp_before_admin_bar_render', array( &$this, 'links') , 1 );

	}

	/* Removes parts of the admin bar */
	public function remove() {

		global $wp_admin_bar;

		/* Remove WP logo, sites, search, and my-account */
		$wp_admin_bar->remove_menu('wp-logo');
		//$wp_admin_bar->remove_menu('my-sites');
		//$wp_admin_bar->remove_node('search');
		//$wp_admin_bar->remove_node('my-account');
	}

	public function links() {

		global $wp_admin_bar;

		if (function_exists('xenforo_thread_url')) {

			if(is_user_logged_in())
			{

				$wp_admin_bar->add_menu( array(
					'id' => 'trn_logout',
					'title' => __('Выход из системы'),
					'href' => __('/community/logout')
				));

			} else {

				$wp_admin_bar->add_menu( array(
					'id' => 'trn_login',
					'title' => __('Войдите или Зарегистрируйтесь'),
					'href' => __('/community/login')
				));

			}
		} else {

			if ( is_user_logged_in() ) {

				$wp_admin_bar->add_menu( array(
					'id'    => 'trn_logout',
					'title' => __( 'Выход из системы' ),
					'href'  => __( wp_logout_url( home_url() ) )
				) );

				$wp_admin_bar->add_menu( array(
					'id'    => 'trn_forums',
					'title' => __( 'Сообщество' ),
					'href'  => __( '/community' )
				) );


			} else {

				$wp_admin_bar->add_menu( array(
					'id'    => 'trn_login',
					'title' => __( 'Войдите или Зарегистрируйтесь' ),
					'href'  => __( wp_login_url( get_permalink() ) )
				) );

			}

		}

	}


}

new XenWord_Toolbar_Login();

// End class-xenword-toolbar-login.php