<?php
/**
 * Filename: class-xenword-users-data.php
 *
 * Description: This class replaces WordPress user data with XenForo data.
 *
 * Class XFUserData
 *
 * @author      LPH
 * @version     2.5.0.04
 * @package     XenWord
 * @subpackage  includes
 *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWord_XFUserData {

	/**
	 * Called from get_userdata located in class-xenword-login-xfusers.php
	 *
	 * @param $visitor
	 * @param $current_user
	 * @param $user_id
	 *
	 * @return mixed
	 * @throws XenForo_Exception
	 */
	public static function xf_user_data( $visitor, $current_user, $user_id ) {
		if ( $user_id != '' ) {

			$xenword_options = get_option( 'xenword_options' );

			/** @var  $userModel XenForo_Model_User */
			$userModel = XenForo_Model_User::create('XenForo_Model_User');
			$visitor = $userModel->getUserById( $user_id, array( 'join' => XenForo_Model_User::FETCH_USER_FULL ) );

			/**
			 * Set the userObj equal to the $visitor
			 * @var $current_user
			 */
			$current_user->userObj = $visitor;

			if ( $user_id == $visitor['user_id'] ) {
				/*fill in permission based fields */

				$current_user->ID                                    = $visitor['user_id'];
				$current_user->user_login                            = $visitor['username'];
				$current_user->user_pass                             = '';
				$current_user->user_nicename                         = $visitor['username'];
				$current_user->user_url                              = $visitor['homepage'];
				$register_date                                       = $visitor['register_date'];
				$register_date                                       = date( 'Y-m-d H:i:s', $register_date );
				$current_user->user_registered                       = $register_date;
				$current_user->user_activation_key                   = '';
				// $current_user->user_status                           = '0';

				if ( $current_user->first_name != '' && $current_user->last_name != '' ) {
					$current_user->display_name                      = $current_user->first_name .' ' . $current_user->last_name;
				} else {
					$current_user->display_name                      = $visitor['username'];
				}

				// $current_user->first_name                            = '';
				// $current_user->last_name                             = '';
				$current_user->nickname                              = $visitor['username'];

				$current_user->rich_editing                          = true;
				$current_user->comment_shortcuts                     = 'false';
				$current_user->admin_color                           = 'fresh';
				$current_user->use_ssl                               = '0';
				$current_user->aim                                   = '';
				$current_user->yim                                   = '';
				$current_user->jabber                                = '';
				$current_user->wp_dashboard_quick_press_last_post_id = '0';
				// $current_user->user_firstname                        = '';
				// $current_user->user_lastname                         = '';

				/**
				 * user and user_description are aliases
				 */
				if ( $xenword_options['use_xf_profile'] == true ) {
					$current_user->description = do_shortcode( $visitor['about'] ); // BBCode
				}

				if ( $xenword_options['use_xf_profile'] == true ) {
					$current_user->user_description = do_shortcode( $visitor['about'] ); // BBCode
				}
				$current_user->user_email = $visitor['email'];

				return $current_user;
			}
		}
		return $current_user;
	}
}

// End of class-xenword-users-data.php