<?php

/**
 * Filename: class-xenword-versions.php
 *
 * @since 3.0.0.02
 */

class XenWord_Versions {

	/**
	 * Plugin Activation hook function to check for Minimum PHP and WordPress versions
	 * @param string $wp Minimum version of WordPress required for this plugin
	 * @param string $php Minimum version of PHP required for this plugin
	 */
	public static function check( $wp = '4.2', $php = '5.3' ) {
		global $wp_version;
		if ( version_compare( PHP_VERSION, $php, '<' ) )
			$flag = 'PHP';
		elseif
		( version_compare( $wp_version, $wp, '<' ) )
			$flag = 'WordPress';
		else
			return;
		$version = 'PHP' == $flag ? $php : $wp;
		deactivate_plugins( basename( __FILE__ ) );
		wp_die('<p>The <strong>XenWord</strong> плагин требует '.$flag.'  Версию '.$version.' или выше.</p>','Ошибка активации плагина',  array( 'response'=>200, 'back_link'=>TRUE ) );
	}

}

new XenWord_Versions();


// End class-xenword-versions.php