<?php

/**
 * File Name: xenword-xf-login-horizontal-widget.php
 *
 * Description: A Horiontal Login
 *
 * @author      LPH
 * @version     2.5.0.04
 * @package     XenWord
 * @subpackage  includes/widgets
 *
 * @since 1.0.03.01
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWordXFLoginH extends WP_Widget {

	public function __construct() {
		parent::__construct(
			// Base ID of your widget
			'xenword_login_hor_widget',

			// Widget name will appear in UI
			__('XenForo Войти по горизонтали', 'xenword'),

			// Widget description
			array( 'description' => __( 'Показать форму входа сообщества в горизонтальной форме', 'xenword' ) )
		);
	}

	/**
	 * Outputs the content of the widget
	 *
	 * @param array $args
	 * @param array $instance
	 *
	 */

	public function widget( $args, $instance ) {

		$title = apply_filters( 'widget_title', $instance['title'] );
		$message_loggedIn = $instance['loggedIn_message'];

		extract( $args, EXTR_SKIP );

		echo $before_widget; // pre-widget code from theme

		if ( !is_user_logged_in() ) {

			if ( ! empty( $title ) ) {
				echo $args['before_title'] . $title . $args['after_title'];
			}

			?>
			<div id="xenlogin">
				<form action="<?php echo XenForo_Application::get('options')->boardUrl; ?>/login/login" method="post" id="pageLogin">

					<div class="ctrlWrapper">
						<dl class="ctrlUnit">
							<label for="LoginControl">Ваше имя или email адрес:</label>
							<input type="text" size="15" name="login" id="LoginControl" class="textCtrl" tabindex="101" /><br />

							<label for="ctrl_password">Пароль:</label>
							<input type="password" size="15" name="password" id="ctrl_password" class="textCtrl" tabindex="102" /><br />

							<input type="submit" class="button primary" value="log in" tabindex="104" data-loginPhrase="log_in" data-signupPhrase="sign_up" />
							<label for="ctrl_remember" class="rememberPassword">
								<input type="checkbox" name="remember" value="1" id="ctrl_remember" tabindex="103" /> запомнить</label>
						</dl>
					</div>

					<input type="hidden" name="cookie_check" value="1" />
					<input type="hidden" name="redirect" value="<?php $post = ''; get_permalink( $post->ID ); ?>" />
					<input type="hidden" name="_xfToken" value="$visitor.csrf_token_page " />

				</form>

				<br />
				<?php echo '<label for="LoginControl" id="SignupButton"><a href="' . XenForo_Application::get('options')->boardUrl . '/register">Зарегистрируйтесь прямо сейчас!</a></label>'; ?>

				<?php echo '<label for="LoginControl" id="fbLogin"><a href="' . XenForo_Application::get('options')->boardUrl . '/register/facebook?reg=1">Войти с Facebook</a></label>'; ?>

				<?php echo '<label for="LoginControl" id="twitterLogin"><a href="' . XenForo_Application::get('options')->boardUrl . '/register/twitter?reg=1">Войти с щебетать</a></label>'; ?>

			</div>

		<?php

		} else {

			$visitor = XenWord::getVisitor();

			echo '<h2 class="rounded">Your Profile</h2>';

			echo '<a class="xenword_profile avatar" href="' . XenForo_Application::get('options')->boardUrl . '/account">';
			echo get_avatar( get_current_user_id(), 100 ) . '</a>';

			echo '' .$message_loggedIn. '';

			echo '<p>'.$message_loggedIn.'</p>';

			echo '<div class="xenword-login-profile">';

			echo '<h4 class="visitorText"><a class="xenword_profile username" href="' . XenForo_Application::get('options')->boardUrl . '/account">';
			echo '' . $visitor['username'] . '</a></h4>';

			echo '<div class="stats">';
			echo '<dl class="pairsJustified email"><dt>Пользователь email:</dt><dd>' . $visitor['email'] . '</dd></dl>';
			echo '<dl class="pairsJustified joined"><dt>Присоединился:</dt><dd>' . XenForo_Locale::dateTime( $visitor['register_date'] ) . '</dd></dl>';
			echo '<dl class="pairsJustified last-activity"><dt>Последняя активность:</dt><dd>' . XenForo_Locale::dateTime( $visitor['last_activity'] ) . '</dd></dl>';
			echo '<dl class="pairsJustified messages"><dt>Сообщения:</dt><dd>' . XenForo_Locale::numberFormat( $visitor['message_count'] ) . '</dd></dl>';
			echo '<dl class="pairsJustified likes"><dt>Likes:</dt><dd>' . XenForo_Locale::numberFormat( $visitor['like_count'] ) . '</dd></dl>';
			echo '<dl class="pairsJustified trophies"><dt>Points:</dt><dd>' . XenForo_Locale::numberFormat( $visitor['trophy_points'] ) . '</dd></dl>';
			echo '</div>';

			echo '</div>';
			echo '<br />';

			echo '<a class="xenword_profile edit" href="' . XenForo_Application::get('options')->boardUrl . '/account">Изменить профиль</a>';
			echo '<a class="xenword_logout logout" href="' . XenForo_Application::get('options')->boardUrl . '/logout">Выход из системы</a>';

		}
		echo $after_widget; // post-widget code from theme
	}

	// Widget Backend
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
			$message_loggedIn = esc_html($instance['loggedIn_message']);

		}
		else {
			$title = __( 'Site Login', 'xenword' );
			$message_loggedIn = '';
		}

		$defaults = array('title'=>'Site Login');
		$instance = wp_parse_args( (array) $instance, $defaults );

		/** Widget admin form */
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Название:' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $instance['title']; ?>" />
		</p>

		<p>
		<label for="<?php echo $this->get_field_id('loggedIn_message'); ?>"><?php _e('loggedIn_message:', 'xenword_login_widget_plugin'); ?></label>
		<textarea class="widefat" id="<?php echo $this->get_field_id('loggedIn_message'); ?>" name="<?php echo $this->get_field_name('loggedIn_message'); ?>"><?php echo $message_loggedIn; ?></textarea>
		</p>

	<?php
	}

	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['loggedIn_message'] = strip_tags($new_instance['loggedIn_message']);
		return $instance;
	}
}

add_action( 'widgets_init', create_function( '', 'return register_widget("XenWordXFLoginH");' ) );

// End xenword-xf-login-horizontal-widget.php