<?php

/**
 * Filename: Autoloader.php
 * Description: XenForo handles comments, replace BBCode with HTML
 *
 * @author      LPH
 * @version     3.0.1.02
 * @package     XenWord
 * @subpackage  XenForo/library/XenWord
 *
 * @since 3.0.1.02
 *        Initial release
 *
 */

defined( 'ABSPATH' ) OR exit;

class XenWord_Autoloader {

	public function __construct() {

		/** Load the functions files. */
		add_action( 'plugins_loaded', array( &$this, 'includes' ), 3 );

	}

	/**
	 * Loads the initial files needed by the plugin.
	 *
	 * @since XenWord 1.0.0
	 */
	public function includes() {

		/** Load the XenWord Comments system file. */
		require_once( 'Comments.php' );

	}


}

new XenWord_Autoloader();

// End of Autoloader.php