<?php

/**
 * Filename: class-xenword-forum-replies.php
 *
 * Grabs the replies in the XenForo community and writes the replies to the WordPress comments table.
 *
 * @author      LPH
 * @version     3.0.0.08
 * @package     XenWord
 * @subpackage  /XenForo/library/XenWord/includes
 *
 * @since 3.0.0.08
 *        Initial release *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;

class XenWord_Forum_Replies {

	public function construct() {

	}

	/**
	 * Pull replies for a particular XenForo thread when the WordPress Comment XF_post_ID
	 */
	public function replies() {

		// Does XF_post_ID == post_id

		// Zend_Debug::dump($var);

	}

	/**
	 * Use wp_new_comment() to write to the comment database.
	 *
	 * http://codex.wordpress.org/Function_Reference/wp_new_comment
	 *
	 * https://github.com/WordPress/WordPress/blob/master/wp-comments-post.php
	 */
	public function write() {

		$commentdata = compact(
			'comment_post_ID',
			'comment_author',
			'comment_author_email',
			'comment_author_url',
			'comment_content',
			'comment_type',
			'comment_parent',
			'user_ID'
		);

		$comment_id = wp_new_comment( $commentdata );

		if ( ! $comment_id ) {
			wp_die( __( "<strong>ERROR</strong>: The comment could not be saved. Please try again later." ) );
		}
		$comment = get_comment( $comment_id );

	}

}

// End class-xenword-forum-replies.php