<?php

/**
 * Filename: class-xenword-promote-threads.php
 *
 * Grabs a XenForo thread in the XenForo community and writes the replies to the WordPress post table.
 *
 * @author      LPH based on work by Tom McFarlin
 * @version     3.0.0.09
 * @package     XenWord
 * @subpackage  /XenForo/library/XenWord/includes
 *
 * @since 3.0.0.09
 *        Initial release *
 */

/**
 * This section is for security. Do not modify this part:
 * @ignore
 */

if ( ! defined( 'ABSPATH' ) ) exit;


class XenWord_Promote_Thread {

	public function __construct() {
		$this->hook();
	}

	public function hook() {
		add_filter( 'after_setup_theme', array( $this, 'create_post' ) );
	}

	function create_post() {

		// Initialize the page ID to -1. This indicates no action has been taken.
		$post_id = -1;

		// Setup the author, slug, and title for the post
		$author_id = 1;
		$slug = 'example-post';
		$title = 'My Example Post';

		// If the page doesn't already exist, then create it
		if( null == get_page_by_title( $title ) ) {

			// Set the post ID so that we know the post was created successfully
			$post_id = wp_insert_post(
				array(
					'comment_status'	=>	'closed',
					'ping_status'		=>	'closed',
					'post_author'		=>	$author_id,
					'post_name'		    =>	$slug,
					'post_title'		=>	$title,
					'post_status'		=>	'publish',
					'post_type'		    =>	'post'
				)
			);

			// Otherwise, we'll stop
		} else {

			// Arbitrarily use -2 to indicate that the page with the title already exists
			$post_id = -2;

		} // end if

	} // end programmatically_create_post

}






/**
 *

$post_id = programmatically_create_post()
if( -1 == $post_id || -2 == $post_id ) {
	// The post wasn't created or the page already exists
} // end if
 *
 */

// End class-xenword-promote-threads.php